"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (str) {
    var limit = arguments.length <= 1 || arguments[1] === undefined ? 16 : arguments[1];
    var padString = arguments.length <= 2 || arguments[2] === undefined ? "#" : arguments[2];
    var padPosition = arguments.length <= 3 || arguments[3] === undefined ? "right" : arguments[3];

    if (typeof str !== "string" || typeof limit !== "number") {
        throw new Error("Invalid arguments specified");
    }

    var strLength = str.length;

    if (strLength > limit) {
        return (0, _unicodeSubstring2.default)(str, 0, limit);
    } else if (strLength < limit) {
        var newString = str;
        for (var i = 0; i < limit - strLength; i += 1) {
            if (padPosition === "right") {
                newString += padString;
            } else {
                newString = padString + newString;
            }
        }
        return newString;
    }

    return str;
};

var _unicodeSubstring = require("unicode-substring");

var _unicodeSubstring2 = _interopRequireDefault(_unicodeSubstring);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = exports["default"];